000033152 - ODA token request fails with an error: "License violation on-demand authentication is not licensed" when ODA license is approaching limit in RSA Authentication Manager 8.1

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000033152
Applies To
RSA Product Set: SecurID

RSA Product/Service Type: Authentication Manager
RSA Version/Condition: 8.1.0
O/S Version: SUSE Linux 10
IssueODA token request fails with the license violation error:
"License violation on-demand authentication is not licensed"

This occurs when the ODA license is approaching the limit (not exceeding yet) when trying to request an ODA token using the SSC link:
https://<ssc_fqdn>:<ssc_port>/console-selfservice/OnDemandOTTLogin.do
1. Assign ODA tokens to users till you see the license status changes to "Approaching limit". 
2. Launch self-service console and make a request for a ODA token.
3. When the license limit exceeds 95% limit of RBA/ODA the above desribed error appears.
CauseEach time a user logs on to Self-Service Console, there is a built in check for license limit. However, the error appears even before the license limit exceeds and it is a defect.
ResolutionThis issue has been resolved in Authentication Manager 8.1 SP1 Patch 13. Please use this link to download Authentication Manager 8.1 SP1 patch 13 or later.  
NotesBe sure to review the patch installation readme and apply the patch to the primary instance before applying the patch to the replica instances.
Also, if there is a replicated environment, all replica instances must be running and replicating successfully when applying the patch to the primary or replica instances. All instances must be able to communicate while the patch is applied.

Attachments

    Outcomes